from setuptools import setup, find_packages
import os

# Utility function to read the README file.
# Used for the long_description.  It's nice, because now 1) we have a top level
# README file and 2) it's easier to type in the README file than to put a raw
# string in below ...
def read(fname):
    return open(os.path.join(os.path.dirname(__file__), fname)).read()

setup(
    name="pybindmagic",
    version="0.1",
    packages=find_packages(),
    # requires=['pybind11'],
    # scripts=['say_hello.py'],
    # install_requires=['python_version>=3.5'],

    # metadata to display on PyPI
    author="Ugo Finnendahl",
    author_email="finnendahl@tu-berlin.de",
    description="This is a simple pybind11 wrapper as ipython cellmagic.",
    keywords="ipython, jupyter, cpp, c++, cell_magic",
    # url="http://example.com/HelloWorld/",   # project home page, if any
    # project_urls={
    #     "Bug Tracker": "https://bugs.example.com/HelloWorld/",
    #     "Documentation": "https://docs.example.com/HelloWorld/",
    #     "Source Code": "https://code.example.com/HelloWorld/",
    # },
    # classifiers=[
    #     'License :: OSI Approved :: Python Software Foundation License'
    # ],
    python_requires=">=3.5",
    long_description=read('README.md')
)
